CVE-2019-11024

NameCVE-2019-11024
DescriptionThe load_pnm function in frompnm.c in libsixel.a in libsixel 1.8.2 has infinite recursion.
SourceCVE (at NVD; CERT, LWN, oss-sec, fulldisc, bugtraq, EDB, Metasploit, Red Hat, Ubuntu, Gentoo, SUSE bugzilla/CVE, Mageia, GitHub code/issues, web search, more)
NVD severitymedium (attack range: remote)

Vulnerable and fixed packages

The table below lists information on source packages.

Source PackageReleaseVersionStatus
libsixel (PTS)jessie1.1.2-1vulnerable
stretch1.5.2-2vulnerable
bullseye, sid, buster1.8.2-1vulnerable

The information below is based on the following data on fixed versions.

PackageTypeReleaseFixed VersionUrgencyOriginDebian Bugs
libsixelsource(unstable)(unfixed)unimportant

Notes

https://github.com/saitoha/libsixel/issues/85
Negligible security impact

Search for package or bug name: Reporting problems